# Copy a strategy

Copy a strategy

Endpoint: POST /strategies/{strategy_id}/copy
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Path parameters:

  - `strategy_id` (integer, required)
    Numeric ID of the strategy object

## Request fields (application/json):

  - `status` (boolean, required)
    Indicates the status.

  - `name` (string, required)
    Name of the entity.

  - `campaign_id` (integer)
    Optional destination campaign for the copy. When omitted, the copy stays in the source strategy's campaign. The destination campaign may belong to a different advertiser/agency within the same organization; copying to a different organization is not allowed.

  - `copy_strategy_group` (boolean)
    Indicates if the SOURCE strategy's strategy group is carried onto the copy. Only valid when the campaign is unchanged, since a strategy group is parented to a campaign. Mutually exclusive with strategy_group_id.

  - `strategy_group_id` (integer)
    Optional destination strategy group for the copy. The group must belong to the destination campaign. Use this (instead of copy_strategy_group) to attach the copy to a group when copying into a different campaign. Mutually exclusive with copy_strategy_group.

  - `duration` (object)

  - `duration.start_date` (string)
    Start date of the strategy.

  - `duration.copy_use_campaign_start` (boolean)
    Indicates if we copy the 'use_campaign_start' field.

  - `duration.end_date` (string)
    End date of the strategy.

  - `duration.copy_use_campaign_end` (boolean)
    Indicates if we copy the 'use_campaign_end' field.

  - `targeting` (object)

  - `targeting.copy_geofence` (boolean)
    Indicates if copy geofencing is enabled.

  - `targeting.copy_contextual` (boolean)
    Indicates if copy contextual targeting is enabled.

  - `targeting.copy_audience` (boolean)
    Indicates if copy audience targeting is enabled.

  - `targeting.copy_technology` (boolean)
    Indicates if copy technology targeting is enabled.

  - `targeting.copy_my_data` (boolean)
    Indicates if copy "my_data" targeting is enabled.

  - `targeting.copy_location` (boolean)
    Indicates if copy "location" targeting is enabled.

  - `targeting.copy_day_parts` (boolean)
    Indicates if copy "day_parts" targeting is enabled.

  - `targeting.copy_postal_codes` (boolean)
    Indicates if copy "postal_codes" targeting is enabled.

  - `targeting.copy_audio_video` (boolean)
    Indicates if copy "audio_video" targeting is enabled.

  - `targeting.copy_ip_addresses` (boolean)
    Indicates if copy 'ip_address" targeting is enabled.

  - `targeting.copy_fold_position` (boolean)
    Indicates if copy 'fold_position' targeting is enabled.

  - `inventory` (object)

  - `inventory.copy_supply` (boolean)
    Indicates if a supply is copied.

  - `inventory.copy_site_lists` (boolean)
    Indicates if site lists are copied.

  - `inventory.copy_supply_controls` (boolean)
    Indicates if supply controls are copied

  - `concepts` (object)

  - `concepts.copy_creative_groups` (boolean)
    Indicates if creative groups are copied

## Response 200:

  - `200` (unknown)
    Strategy copy

## Response 200 fields (application/json):

  - `data` (object)

  - `data.inherited_mfa_avoidance` (string)
    available if mfa_avoidance = INHERIT
    Enum: "INHERIT", "ALLOW_ALL", "EXCLUDE_MFA"

  - `data.inherited_mfa_from` (string)
    available if mfa_avoidance = INHERIT
    Enum: "Organization", "Agency", "Advertiser", "Campaign", "Strategy"

  - `data.campaign_name` (string)

  - `data.campaign_start_date` (string)

  - `data.campaign_end_date` (string)

  - `data.campaign_zone_name` (string)

  - `data.campaign_service_type` (string)

  - `data.campaign_goal_type` (string)

  - `data.campaign_goal_value` (number)

  - `data.campaign_merit_pixel_id` (integer)

  - `data.viewability` (object)

  - `data.viewability.sample_rate` (number)

  - `data.viewability.type` (string)
    Example: AUTO_TAG

  - `data.viewability.vendor_id` (integer)

  - `meta` (object)

  - `meta.status` (string, required)
    Example: success

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404:

  - `404` (unknown)
    Error response

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

